      SUBROUTINE forthon_integration(x, t, N, dt)
      integer :: i, N
      real :: x(0:N-1), t(0:N-1), dt
      DO i = 1, N-1
         x(i) = 0 + dt * x(i-1) * COS( t(i-1) )
      ENDDO
      RETURN
      END
